# $Revision: 1.2 $, $Date: 2002/09/18 10:47:17 $
%include	/usr/lib/rpm/macros.php
%define		_class		Var
%define		_subclass	Dump
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - methods for dumping information about a variable
Summary(pl):	%{_pearname} - metody zrzucania informacji o zmiennych
Name:		php-pear-%{_pearname}
Version:	0.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Displays informations about the values of variables on a graphical
way:
 - If given a simple variable (string, integer, double, ressource), the
   value itself is printed,
 - If given an array, it is explored recursively and values are
   presented in a format that shows keys and elements,
 - If given an object, informations about the object and the class are
   printed.

%description -l pl
Wywietla graficznie informacje o wartociach zmiennych:
 - jeeli dana jest prosta zmienna (string, integer, double, resource),
   sama warto jest wypisywana,
 - jeeli dana jest tablica, przeszukiwana jest rekursywnie i wartoci
   s prezentowane w formacie, ktry pokazuje klucze i elementy,
 - jeeli dany jest obiekt, informacje o obiekcie i klasie s
   wywietlane.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/

install %{_pearname}-%{version}/%{_pearname}.php $RPM_BUILD_ROOT%{php_pear_dir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Var_Dump.spec,v $
Revision 1.2  2002/09/18 10:47:17  blues
- 0.2 - fix in macros, STBR

Revision 1.1  2002/08/08 20:43:23  blues
- initial release; STBR

